Bug 185515 - audio/bmp-mac: Fix build with clang
Summary: audio/bmp-mac: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-05 18:10 UTC by tkato432
Modified: 2014-01-25 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.25 KB, patch)
2014-01-05 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-05 18:10:05 UTC
- Fix build with clang
Comment 1 Martin Wilke freebsd_committer 2014-01-19 13:48:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2014-01-19 13:48:09 UTC
Author: miwi
Date: Sun Jan 19 13:47:56 2014
New Revision: 340293
URL: http://svnweb.freebsd.org/changeset/ports/340293
QAT: https://qat.redports.org/buildarchive/r340293/

Log:
  - Fix build with clang
  
  PR:		185515
  Submitted by:	ports fury

Modified:
  head/audio/bmp-mac/Makefile   (contents, props changed)
  head/audio/bmp-mac/files/patch-configure.in   (contents, props changed)

Modified: head/audio/bmp-mac/Makefile
==============================================================================
--- head/audio/bmp-mac/Makefile	Sun Jan 19 13:47:16 2014	(r340292)
+++ head/audio/bmp-mac/Makefile	Sun Jan 19 13:47:56 2014	(r340293)
@@ -12,23 +12,27 @@ DISTNAME=	${PKGNAMEPREFIX}${PORTNAME}-${
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Monkey's Audio Codec non-win32 port
 
-LIB_DEPENDS=	libbeep.so:${PORTSDIR}/multimedia/beep-media-player \
-		libmac.so:${PORTSDIR}/audio/mac
+LIB_DEPENDS=	libmac.so:${PORTSDIR}/audio/mac \
+		libbeep.so:${PORTSDIR}/multimedia/beep-media-player
 
 USES=		gmake pkgconfig
-GNU_CONFIGURE=	yes
-USE_AUTOTOOLS=	autoconf libtool
-CPPFLAGS+=	"-I${LOCALBASE}/include"
-PLUGDIR=	lib/bmp/Input
-PLUGFILE=	lib${PKGNAMEPREFIX}${PORTNAME}.so
-PLIST_FILES=	${PLUGDIR}/${PLUGFILE}
+USE_AUTOTOOLS=	libtoolize aclocal automake autoconf
+LIBTOOLIZE_ARGS=--force --copy 
+AUTOMAKE_ARGS=	--add-missing --copy 
+
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
+PLIST_FILES=	lib/bmp/Input/libbmp-mac.so
 
 post-patch:
-	@${FIND} ${WRKSRC} -name Makefile.in | ${XARGS} ${REINPLACE_CMD} -e \
-		's|-D.*_DISABLE_DEPRECATED||g'
+	@${REINPLACE_CMD} -e \
+		's|-D.*_DISABLE_DEPRECATED|| ; \
+		 s|@BMP_LIBS@|@GTK_LIBS@|' ${WRKSRC}/src/Makefile.am
 
 do-install:
-	@${MKDIR} ${STAGEDIR}${PREFIX}/${PLUGDIR}
-	${INSTALL_LIB} ${WRKSRC}/src/.libs/${PLUGFILE} ${STAGEDIR}${PREFIX}/${PLUGDIR}/
+	@${MKDIR} ${STAGEDIR}${PREFIX}/lib/bmp/Input
+	(cd ${WRKSRC}/src/.libs && ${INSTALL_LIB} libbmp-mac.so \
+		${STAGEDIR}${PREFIX}/lib/bmp/Input)
 
 .include <bsd.port.mk>

Modified: head/audio/bmp-mac/files/patch-configure.in
==============================================================================
--- head/audio/bmp-mac/files/patch-configure.in	Sun Jan 19 13:47:16 2014	(r340292)
+++ head/audio/bmp-mac/files/patch-configure.in	Sun Jan 19 13:47:56 2014	(r340293)
@@ -1,11 +1,14 @@
 --- configure.in.orig	Tue Jan 17 23:49:11 2006
 +++ configure.in	Tue Jan 17 23:49:55 2006
-@@ -62,7 +62,7 @@
+@@ -62,9 +62,9 @@
  
  AC_CHECK_LIB(mac, DecompressFile, [])
  
 -#MAC_LIBS="-lmac"
-+MAC_LIBS="-lmac -lpthread"
++MAC_LIBS="-lmac -pthread"
  #MAC_INCLUDES="-I/usr/include/mac"
- MAC_CXXFLAGS="-s -O3 -Wall -pedantic -DBUILD_CROSS_PLATFORM"
+-MAC_CXXFLAGS="-s -O3 -Wall -pedantic -DBUILD_CROSS_PLATFORM"
++MAC_CXXFLAGS="-DBUILD_CROSS_PLATFORM"
  
+ AC_SUBST(MAC_LIBS)
+ AC_SUBST(MAC_CXXFLAGS)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2014-01-25 13:07:39 UTC
Author: miwi
Date: Sat Jan 25 13:07:26 2014
New Revision: 341027
URL: http://svnweb.freebsd.org/changeset/ports/341027
QAT: https://qat.redports.org/buildarchive/r341027/

Log:
  MFH: r340293
  
  - Fix build with clang
  
  PR:		185515
  Submitted by:	ports fury

Modified:
  branches/2014Q1/audio/bmp-mac/Makefile   (contents, props changed)
  branches/2014Q1/audio/bmp-mac/files/patch-configure.in   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/audio/bmp-mac/Makefile
==============================================================================
--- branches/2014Q1/audio/bmp-mac/Makefile	Sat Jan 25 13:06:05 2014	(r341026)
+++ branches/2014Q1/audio/bmp-mac/Makefile	Sat Jan 25 13:07:26 2014	(r341027)
@@ -12,23 +12,27 @@ DISTNAME=	${PKGNAMEPREFIX}${PORTNAME}-${
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Monkey's Audio Codec non-win32 port
 
-LIB_DEPENDS=	libbeep.so:${PORTSDIR}/multimedia/beep-media-player \
-		libmac.so:${PORTSDIR}/audio/mac
+LIB_DEPENDS=	libmac.so:${PORTSDIR}/audio/mac \
+		libbeep.so:${PORTSDIR}/multimedia/beep-media-player
 
 USES=		gmake pkgconfig
-GNU_CONFIGURE=	yes
-USE_AUTOTOOLS=	autoconf libtool
-CPPFLAGS+=	"-I${LOCALBASE}/include"
-PLUGDIR=	lib/bmp/Input
-PLUGFILE=	lib${PKGNAMEPREFIX}${PORTNAME}.so
-PLIST_FILES=	${PLUGDIR}/${PLUGFILE}
+USE_AUTOTOOLS=	libtoolize aclocal automake autoconf
+LIBTOOLIZE_ARGS=--force --copy 
+AUTOMAKE_ARGS=	--add-missing --copy 
+
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
+PLIST_FILES=	lib/bmp/Input/libbmp-mac.so
 
 post-patch:
-	@${FIND} ${WRKSRC} -name Makefile.in | ${XARGS} ${REINPLACE_CMD} -e \
-		's|-D.*_DISABLE_DEPRECATED||g'
+	@${REINPLACE_CMD} -e \
+		's|-D.*_DISABLE_DEPRECATED|| ; \
+		 s|@BMP_LIBS@|@GTK_LIBS@|' ${WRKSRC}/src/Makefile.am
 
 do-install:
-	@${MKDIR} ${STAGEDIR}${PREFIX}/${PLUGDIR}
-	${INSTALL_LIB} ${WRKSRC}/src/.libs/${PLUGFILE} ${STAGEDIR}${PREFIX}/${PLUGDIR}/
+	@${MKDIR} ${STAGEDIR}${PREFIX}/lib/bmp/Input
+	(cd ${WRKSRC}/src/.libs && ${INSTALL_LIB} libbmp-mac.so \
+		${STAGEDIR}${PREFIX}/lib/bmp/Input)
 
 .include <bsd.port.mk>

Modified: branches/2014Q1/audio/bmp-mac/files/patch-configure.in
==============================================================================
--- branches/2014Q1/audio/bmp-mac/files/patch-configure.in	Sat Jan 25 13:06:05 2014	(r341026)
+++ branches/2014Q1/audio/bmp-mac/files/patch-configure.in	Sat Jan 25 13:07:26 2014	(r341027)
@@ -1,11 +1,14 @@
 --- configure.in.orig	Tue Jan 17 23:49:11 2006
 +++ configure.in	Tue Jan 17 23:49:55 2006
-@@ -62,7 +62,7 @@
+@@ -62,9 +62,9 @@
  
  AC_CHECK_LIB(mac, DecompressFile, [])
  
 -#MAC_LIBS="-lmac"
-+MAC_LIBS="-lmac -lpthread"
++MAC_LIBS="-lmac -pthread"
  #MAC_INCLUDES="-I/usr/include/mac"
- MAC_CXXFLAGS="-s -O3 -Wall -pedantic -DBUILD_CROSS_PLATFORM"
+-MAC_CXXFLAGS="-s -O3 -Wall -pedantic -DBUILD_CROSS_PLATFORM"
++MAC_CXXFLAGS="-DBUILD_CROSS_PLATFORM"
  
+ AC_SUBST(MAC_LIBS)
+ AC_SUBST(MAC_CXXFLAGS)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"